Subject: Re: [PATCH net-2.6] jme: Fix unmap error (Causing system freeze)

From: "Guo-Fu Tseng" <[email-masked]>
Date: Fri, 22 Jul 2011 16:49:43 +0800

On Fri, 22 Jul 2011 09:45:42 +0200, Michał Mirosław wrote
> 2011/7/21  <[email-masked]>:
> > From: Guo-Fu Tseng <[email-masked]>
> >
> > This patch add the missing dma_unmap().
> > Which solved the critical issue of system freeze on heavy load.
> >
> > Michal Miroslaw's rejected patch:
> > [PATCH v2 10/46] net: jme: convert to generic DMA API
> > Pointed out the issue also, thank you Michal.
> > But the fix was incorrect. It would unmap needed address
> > when low memory.
> 
> My patch also fixed another issue - from correctness point of view,
> you should not use virt_to_page+dma_map_page here, but dma_map_single.
> 
> Best Regards,
> Michał Mirosław
Hi Michał:

Yes, I did noticed that. :)

And I agreed that using {dma|pci}_map_single is better than
calling virt_to_page in driver.

It's just that I'm not sure if it is really preferred to use
dma_map_single over pci_map_single for PCI device driver?

You are very welcome to send another patch for converting the
DMA API using.

Guo-Fu Tseng

_______________________________________________
stable mailing list
[email-masked]
http://linux.kernel.org/mailman/listinfo/stable